Add system environment associations

View as Markdown

Adds workspace-environment associations to a system environment.

Authentication

x-api-keystring
API Key authentication via header
OR
Authorizationstring
A valid [SCIM API key](https://learning.postman.com/docs/administration/scim-provisioning/scim-provisioning-overview/#generating-scim-api-key) for calls to SCIM endpoints.
OR
AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Path parameters

systemEnvironmentIdstringRequired
The system environment's ID.

Query parameters

allowPartialbooleanOptionalDefaults to false
If false, the system only adds associations when there are no status errors. If true, the system skips any ineligible associations and adds eligible associations.

Request

This endpoint expects an object.
workspaceEnvironmentIdslist of stringsRequired

A list of workspace environment IDs to remove. Accepts both the environment ID or the environment’s unique ID (userId-environmentId).

Response

Successful Response
metaobject
The response's meta information for paginated results.
datalist of objects

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error